Subject: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Mon, 5 Jul 2010 19:55:28 +0200

On Mon, Jul 5, 2010 at 7:39 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Mon, 5 Jul 2010 19:32:33 +0200
>> Cc: Agustin Martin <[email-masked]>, [email-masked]
>>
>> > For the rest, the patch looks fine, but why not test /usr/dict/words
>> > with file-readable-p as well?  Then, if it does not exist, the
>> > defcustom will evaluate to nil, and the error message will be even
>> > more to the point.
>>
>>
>> Such a test will make things even worse with unix style file names on
>> w32 since they with these paths Emacs will look on the current drive.
>> That does not have to be the same drive next time the library is
>> loaded.
>
> Why does it matter which file names are tried, if the net result will
> be the same: to fail?

I thought I did explain that above. The unix style file names can
happen to work on the current default drive if the user did place the
required files there. What is unclear?

> Read my lips: the _ONLY_ way to make this feature work on Windows is
> to customize the value of ispell-complete-word-dict or that of
> ispell-alternate-dictionary.  Unless you do that, this feature will
> _ALWAYS_ fail on Windows; the only thing we can do is make the error
> message more helpful.  And if the option _is_ customized, I trust the
> user to include the drive letter in the value.
>